<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">
    <data>
        <variable
            name="model"
            type="at.bitfire.davdroid.ui.account.DeleteCollectionFragment.Model" />
    </data>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="@dimen/activity_margin">

            <TextView
                style="@style/TextView.Heading"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/delete_collection_confirm_title"/>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:layout_marginBottom="16dp"
                android:text="@{@string/delete_collection_confirm_warning(model.collectionInfo.title())}" />

            <ProgressBar
                android:id="@+id/progress"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:indeterminate="true"
                android:layout_marginBottom="8dp"
                android:visibility="gone"
                tools:visibility="visible"
                style="@style/Widget.AppCompat.ProgressBar.Horizontal"/>

            <LinearLayout
                android:id="@+id/controls"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <CheckBox
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:checked="@={model.confirmation}"
                    android:layout_marginBottom="8dp"
                    android:text="@string/delete_collection_data_shall_be_deleted"/>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="right"
                    android:orientation="horizontal">

                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/cancel"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        style="@style/Widget.MaterialComponents.Button.TextButton.Dialog"
                        android:text="@android:string/cancel"/>

                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/ok"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        style="@style/Widget.MaterialComponents.Button.TextButton.Dialog"
                        android:enabled="@{model.confirmation ?? false}"
                        android:text="@android:string/ok"/>
                </LinearLayout>
            </LinearLayout>

        </LinearLayout>
    </ScrollView>
</layout>